﻿<?php // Exemple 26-10 : friends.php
  require_once 'header.php';

  if (!$loggedin) die();

  if (isset($_GET['view'])) $view = sanitizeString($_GET['view']);
  else                      $view = $user;

  if ($view == $user)
  {
    $name1 = $name2 = "Vos";
    $name3 =          "Vous";
  }
  else
  {
    $name1 = "<a href='members.php?view=$view'>$view</a>'s";
    $name2 = "$view :";
    $name3 = "$view";
  }

  echo "<div class='main'>";

  // Ôtez le commentaire de cette ligne pour afficher le profil d'utilisateur
  // showProfile($view);

  $followers = array();
  $following = array();

  $result = queryMysql("SELECT * FROM friends WHERE user='$view'");
  $num    = $result->num_rows;

  for ($j = 0 ; $j < $num ; ++$j)
  {
    $row           = $result->fetch_array(MYSQLI_ASSOC);
    $followers[$j] = $row['friend'];
  }

  $result = queryMysql("SELECT * FROM friends WHERE friend='$view'");
  $num    = $result->num_rows;

  for ($j = 0 ; $j < $num ; ++$j)
  {
      $row           = $result->fetch_array(MYSQLI_ASSOC);
      $following[$j] = $row['user'];
  }

  $mutual    = array_intersect($followers, $following);
  $followers = array_diff($followers, $mutual);
  $following = array_diff($following, $mutual);
  $friends   = FALSE;

  if (sizeof($mutual))
  { // L'opérateur ternaire permet de vous distinguer de l'ami
    echo "<span class='subhead'>". ($name2 == 'Vos' ? "Vos amis réciproques" :
         "Amis réciproques de $name2") . "</span><ul>";
    foreach($mutual as $friend)
      echo "<li><a href='members.php?view=$friend'>$friend</a>";
    echo "</ul>";
    $friends = TRUE;
  }

  if (sizeof($followers))
  { // Suiveurs
    echo "<span class='subhead'>". ($name2 == 'Vos' ? "Vos suiveurs" :
         "Suiveurs de $name2") . "</span><ul>";
    foreach($followers as $friend)
      echo "<li><a href='members.php?view=$friend'>$friend</a>";
    echo "</ul>";
    $friends = TRUE;
  }

  if (sizeof($following))
  { // Suivis
    echo "<span class='subhead'>". ($name3 == 'Vous' ? "Vous suivez" :
         "$name3 suit") . "</span><ul>";
    foreach($following as $friend)
      echo "<li><a href='members.php?view=$friend'>$friend</a>";
    echo "</ul>";
    $friends = TRUE;
  }

  if (!$friends) echo "<br>Vous n'avez pas encore d'ami.<br><br>";

  echo "<a class='button' href='messages.php?view=$view'>" .
       "Voir " . strtolower($name2) . " messages</a>";
?>

    </div><br>
  </body>
</html>
